#include <bits/stdc++.h>

using namespace std;
long long BrojCif(long long x)
{
    long long cnt=0;
    while(x>0)
    {
        x=x/10;
        cnt++;
    }
    return cnt;
}
int main()
{
    ios_base::sync_with_stdio(false);
    long long x,y,brcifara,rez=0;
    cin>>x>>y;
    if(x>y) brcifara = BrojCif(x);
    else brcifara = BrojCif(y);
    long long pomocna=1;
    bool p=false,q=false;
    for(int i=0;i<brcifara;i++)
    {
        long long a,b;
        a=x%10;
        b=y%10;

        if(a>b||q)
        {
            rez = rez + a * pomocna;
            pomocna *= 10;
        }
        else if(b>a||p)
        {
            rez = rez + b* pomocna;
            pomocna *=10;
        }
        else if(a==b)
        {
            rez = rez + a * pomocna;
            pomocna *= 10;
            rez = rez + b* pomocna;
            pomocna *=10;
        }
        x=x/10;
        y=y/10;
        if(x==0) p=true;
        if(y==0) q=true;
    }
    cout<<rez;
}